
Foreman - Feature #657

Physical location management/visualization

02/08/2011 10:47 AM - Dis Connect

Status: New   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

At the end of the day, physical host information is just more facts - there should be a way to specify this in foreman, and visualize it in

a reasonable way.

We're currently setting up http://flux.org.uk/projects/rackmonkey/ for this, but there shouldn't be any reason that Foreman wouldn't do

a better job.

In my ideal world, a nagios host page links to foreman where i can see its location (or vm host if its a vm) and all my support info is in

one place.

Related issues:

Follows Foreman - Feature #996: add plugins support Resolved 06/19/2011

History

#1 - 06/19/2011 04:05 AM - Ohad Levy

I fully agree... I would like to see a plugin architecture for foreman first, where custom screens / functionality could be added.

#2 - 12/06/2012 11:23 AM - Benjamin Papillon

- Status changed from New to Feedback

The feature organisation/localisation went in few days ago, can you try a recent version (daily rpm/deb) and see if it matches your problem?

#3 - 12/06/2012 07:55 PM - Dis Connect

Unfortunately I'm not at a company with a puppet/foreman infrastructure anymore so I can't test.

#4 - 12/07/2012 03:53 AM - Benjamin Papillon

I checked a little rackmonkey. I think the word "Location" does not mean the same for the Org patch and your ticket.

By location, you mean the rackmonkey way : room 4, line 2, bay 15, U 21-22

The Org patch has a more global approach :

DC Atlanta (user:joe, dnssrvn=, ntpsrv=...)

DC London (user:theo, dnssrvn=, ntpsrv=...)

I won't close this feature request as the provided solution does not match your need.

Too bad you don't work with foreman anymore!

#5 - 12/07/2012 03:54 AM - Benjamin Papillon

- Status changed from Feedback to New
